
TYPO3.Neos - Bug # 45445

Work Package # 45020 (Closed): Content Editing Stability and Features

Status: Closed Priority: Must have
Author: Aske Ertmann Category: UI
Created: 2013-02-13 Assigned To:
Updated: 2014-11-02 Due date:
Subject: Link wizard autocompletion of pages not working properly
Description

    -  Should not search if it starts with http://, https:// or mailto:
    -  Should not return multiple results for same node across workspaces
        -  If the node exists in the users workspace, then it should use the this one to create the link/label. Nodes are connected by the
identifier property.

Associated revisions
Revision f2ffae01 - 2013-05-15 12:14 - Aske Ertmann

[BUGFIX] Prevent duplicate results in link wizard autocompletion

We search all workspaces for page nodes with matching properties,
but we only return results that are also existing with the same
path in the live workspace. This makes sure that results that have
already been added to the results aren't added again.

Change-Id: If5b9348269999b00ec8775cfdae9d0303f3e4ad6
Related: #45445

History
#1 - 2013-02-26 15:20 - Mattias Nilsson
- Assigned To set to Mattias Nilsson

#2 - 2013-02-26 16:10 - Aske Ertmann
- Status changed from New to Accepted

#3 - 2013-03-02 08:18 - Mattias Nilsson
- File Screen_Shot_2013-03-02_at_8.17.17_AM.png added
- Status changed from Accepted to Needs Feedback

I have tried it out and it works as expected.

#4 - 2013-04-02 10:56 - Aske Ertmann
- Assigned To changed from Mattias Nilsson to Aske Ertmann

#5 - 2013-04-07 13:17 - Aske Ertmann
- Status changed from Needs Feedback to New
- Assigned To deleted (Aske Ertmann)
#6 - 2013-05-14 14:22 - Pankaj Lele

To reproduce showing multiple results, try changing the node title and not the node name.

#7 - 2013-05-14 16:57 - Aske Ertmann
- Status changed from New to Rejected

Rejected due to dropping of Hallo editor

#8 - 2014-11-02 18:22 - Aske Ertmann
- Status changed from Rejected to Closed
